Get Shipping Zones
Get realtime shipping zone data directly from the merchant’s ecom platform. Unlike the other Relay endpoints, this one does not require the Relay plan.
Supported platforms: Shopify, BigCommerce, WooCommerce and Ecwid. On any other platform the response is 400 operation_not_supported_exception.
Violet ID of the merchant.
12345Violet auth token. It must belong to the developer that owns the app in X-Violet-App-Id.
Secret of the app in X-Violet-App-Id.
ID of the Violet app making the request. The app must be connected to the merchant.
20001The merchant's shipping zones.
The merchant's platform has no shipping zones. The X-Violet-Merchant-Id and X-Violet-Platform headers are still returned.
The platform is not supported by this endpoint (operation_not_supported_exception).
The app is not connected to the merchant (merchant_not_connected).
The token does not belong to the developer that owns the app (insufficient_permissions). This endpoint does not require the Relay plan.
The request failed in Violet or while reading from the merchant's platform.
GET /v1/relay/merchants/{merchant_id}/shipping-zones HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
{
"content": [
{
"external_id": "457216524578",
"name": "Domestic",
"display_order": 1,
"enabled": true,
"regions": [
{
"name": "United States",
"code": "US",
"type": "COUNTRY",
"enabled": true,
"display_order": 1,
"sub_regions": [
{
"name": "Washington",
"code": "WA",
"type": "PROVINCE",
"enabled": true,
"display_order": 55,
"metadata": [
{
"type": "STRING",
"key": "tax_name",
"value": "State Tax"
},
{
"type": "DECIMAL",
"key": "tax",
"value": 0.065
},
{
"type": "DECIMAL",
"key": "tax_percentage",
"value": 6.5
}
]
}
],
"metadata": [
{
"type": "DECIMAL",
"key": "tax",
"value": 0
},
{
"type": "STRING",
"key": "tax_name",
"value": "Federal Tax"
}
]
}
],
"methods": [
{
"external_id": "641084293410",
"name": "Free Ground Shipping Over $50",
"price": 0,
"type": "PRICE",
"min_price": 5000,
"price_type": "SUBTOTAL"
},
{
"external_id": "641084326178",
"name": "Economy",
"price": 490,
"type": "WEIGHT",
"min_weight": 0,
"max_weight": 5,
"weight_unit": "POUND"
},
{
"external_id": "641084358946",
"name": "Economy",
"price": 1990,
"type": "WEIGHT",
"min_weight": 5,
"max_weight": 70,
"weight_unit": "POUND"
},
{
"external_id": "641084457250",
"name": "First Class Package",
"carrier_name": "USPS",
"type": "CARRIER",
"metadata": [
{
"type": "DECIMAL",
"key": "percent_modifier",
"value": 0
},
{
"type": "DECIMAL",
"key": "flat_modifier",
"value": 0
}
]
},
{
"external_id": "641084457250",
"name": "Priority Mail Express",
"carrier_name": "USPS",
"type": "CARRIER",
"metadata": [
{
"type": "DECIMAL",
"key": "percent_modifier",
"value": 0
},
{
"type": "DECIMAL",
"key": "flat_modifier",
"value": 0
}
]
},
{
"external_id": "641084457250",
"name": "Priority Mail",
"carrier_name": "USPS",
"type": "CARRIER",
"metadata": [
{
"type": "DECIMAL",
"key": "percent_modifier",
"value": 0
},
{
"type": "DECIMAL",
"key": "flat_modifier",
"value": 0
}
]
}
],
"free_shipping": {
"enabled": true,
"min_price": 5000,
"price_type": "SUBTOTAL",
"exclude_products_with_custom_shipping": true
}
}
]
}Last updated
Was this helpful?